<?php use_helper('I18N', 'Object', 'Validation', 'ModalBox'); ?>
<?php use_helper('Javascript') ?>
<?php use_helper('tvtl'); ?>

<?php echo form_tag('home/index', array('name'=>'main'))?>
<table width="580" align="right" border="0">
  <tr>
    <td width="30%">Mã Sản Phẩm (*)</td>
    <td align="left">
      <?php echo form_error('prokey')?>
      <input style="width: 244px" name="prokey" value="<?php echo $prokey?>"/>
    </td>
  </tr>
  <tr>
    <td>Loại bản quyền (*)</td>
    <td><?php echo select_tag('license_type', options_for_select(array('Bản quyền đơn vị', 'Bản quyền cá nhân'), 0), 'onChange=onTypeChanged();')?></td>
  </tr>                
  <tr style="display:none;" id="username_row">
    <td>Họ và tên (*)</td>
    <td align="left"><?php echo input_tag('username', '', array('style'=>'width:244px'))?></td>
  </tr>                

  <tr>
    <td>Tỉnh/Thành (*)</td>
    <td align="left">
      <?php echo select_tag('ci_province'
          , objects_for_select($tblblogshools_province, 'getScId', 'getScName', $province_id)
          , array('id'=>'province'
                    ,'onchange'=>remote_function(
                        array('update'=>'ci_district',
                              'url'=>'home/loadSchool',
                              'loading' => "Element.show('ajax-loader')",
                              'with' => "'id=' + this.options[this.selectedIndex].value+'&type=1'",
                              ))
                    ,'style'=>'width: 250px'
          )

      )?>
    </td>
  </tr>

  <tr>
    <td>Quận/Huyện (*)</td>
    <td align="left">
      <?php echo select_tag('ci_district', array(), array('id'=>'ci_district', 'onchange'=>remote_function(
                                              array('update'=>'ci_school',
                                                    'url'=>'home/loadSchool',
                                                    'loading' => "Element.show('ajax-loader')",
                                                    'with' => "'id=' + this.options[this.selectedIndex].value + '&type=2'",
                                                    ))
                                              ,'style'=>'width: 250px'

      )) ?>
    </td>
  </tr>

  <tr>
    <td>Đơn vị (*)</td>
    <td align="left">
      <?php echo select_tag('ci_school', array(), array('id'=>'ci_school', 'style'=>'width: 250px')) ?>
    </td>
  </tr>
  <tr>
    <td>Điện thoại (*)</td>
    <td align="left"><?php echo input_tag('phone', '', array('style'=>'width:244px'))?></td>
  </tr>
  <tr>
    <td>Email</td>
    <td align="left"><?php echo input_tag('email', '', array('style'=>'width:244px'))?></td>
  </tr>
  <tr id="headmaster_row">
    <td>Hiệu trưởng (*)</td>
    <td align="left"><?php echo input_tag('headmaster', '', array('style'=>'width:244px'))?></td>
  </tr>
  <tr id="taxcode_row">
    <td>Mã số thuế</td>
    <td align="left"><?php echo input_tag('taxcode', '', array('style'=>'width:244px'))?></td>
  </tr>
  <tr>
    <td colspan="2"><?php ?></td>
  </tr>
  <tr>
    <td colspan="2" align="center"><input type="submit" value="Tạo mã kích hoạt" onclick="return check()" /></td>
  </tr>
</table>
</form>

<script>
  document.main.prokey.focus();
  function check() {
    var form = document.main;
    if (form.prokey.value == '') {
      alert('Quý vị phải nhập mã sản phẩm vào');
      form.prokey.focus();
      return false;
    }
    if (form.ci_province.value == '') {
      alert('Quý vị phải chọn Tỉnh/Thành');
      form.ci_province.focus();
      return false;
    }
    if (form.ci_district.value == '') {
      alert('Quý vị phải chọn Quận/Huyện');
      form.ci_district.focus();
      return false;
    }
    if (form.ci_school.value == '') {
      alert('Quý vị phải chọn đơn vị');
      form.ci_school.focus();
      return false;
    }
    if ($F('phone') == '') {
      alert('Quý vị phải nhập số điện thoại của đơn vị mình');
      $('phone').focus();
      return false;
    }
    /*
    if ($F('headmaster') == '') {
      alert('Quý vị phải nhập tên hiệu trưởng của đơn vị mình');
      $('headmaster').focus();
      return false;
    }
    /*if ($F('taxcode') == '') {
      alert('Quý vị phải nhập mã số thuế của đơn vị mình');
      $('taxcode').focus();
      return false;
    }*/
    return true;
  }
  function onTypeChanged() {
    if ($("license_type").value==1) {
      $("username_row").style.display = 'table-row';
      $("headmaster_row").style.display = 'none';
      $("taxcode_row").style.display = 'none';
    } else {
      $("username_row").style.display = 'none';
      $("headmaster_row").style.display = 'table-row';
      $("taxcode_row").style.display = 'table-row';
    }
  }
</script>

<style>
  .form_error {
    color: red;
  }
</style>